Bug 1472172 - Please package perl-Web-ID for CentOS 7
Please package perl-Web-ID for CentOS 7
Status: NEW
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
27
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Václav Pavlín
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Web-ID/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 04:30 EDT by Clément OUDOT
Modified: 2017-08-15 04:18 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clément OUDOT 2017-07-18 04:30:33 EDT
Seems this Perl module was never packaged, but is a dependency for LemonLDAP::NG.

If not possible to package, please let me know so I remove if from required dependencies.
Comment 1 Paul Howarth 2017-07-18 06:53:47 EDT
It looks like a lot of work to get this in EPEL-7.

Some of the dependencies (e.g. match::simple, Types::DateTime, Types::URI) are not currently packaged in Fedora and many of the others don't have EPEL branches yet.

I think it would need a packager that really wants this in EPEL to do this themselves, rather than someone that could build the packages and forget about them; there's a responsibility to EPEL users to maintain packages once they're there, particularly for any security issues that crop up.
Comment 2 Clément OUDOT 2017-07-18 08:45:43 EDT
Ok, not very important as WebID mechanism is not widely used.
Comment 3 Petr Pisar 2017-07-19 04:07:30 EDT
Does Web::ID work <https://rt.cpan.org/Public/Bug/Display.html?id=102317>?
Comment 4 Jan Kurik 2017-08-15 04:18:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.